Package org.apache.nutch.protocol.okhttp

## Class OkHttpResponse.TruncatedContent

- java.lang.Object
- - org.apache.nutch.protocol.okhttp.OkHttpResponse.TruncatedContent

- Enclosing class:
    OkHttpResponse

      public static class OkHttpResponse.TruncatedContent
      extends Object

  Container to store whether and why content has been truncated

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TruncatedContent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `booleanValue()` |
    `Response.TruncatedContentReason` | `getReason()` |
    `void` | `setReason​(Response.TruncatedContentReason val)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TruncatedContent

          public TruncatedContent()

  - ### Method Detail

    - #### setReason

          public void setReason​(Response.TruncatedContentReason val)

    - #### getReason

          public Response.TruncatedContentReason getReason()

    - #### booleanValue

          public boolean booleanValue()